# \Thelia\ModelGroupModuleQuery

Skeleton subclass for performing query and update operations on the 'group_module' table.

You should add additional methods to this class to meet the application requirements. This class will only be generated as long as it does not already exist in the output directory.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByGroupId()
filterByModuleId()
filterByAccess()
filterByCreatedAt()
filterByUpdatedAt()
filterByGroup()
joinGroup()
useGroupQuery()
filterByModule()
joinModule()
useModuleQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
orderById()
orderByGroupId()
orderByModuleId()
orderByAccess()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByGroupId()
groupByModuleId()
groupByAccess()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinGroup()
rightJoinGroup()
innerJoinGroup()
leftJoinModule()
rightJoinModule()
innerJoinModule()
findOne()
findOneOrCreate()
findOneById()
findOneByGroupId()
findOneByModuleId()
findOneByAccess()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByGroupId()
findByModuleId()
findByAccess()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Model/GroupModuleQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\GroupModuleQuery
  \Thelia\Model\GroupModuleQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\GroupModuleQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\GroupModuleQuery

Returns a new ChildGroupModuleQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\GroupModuleQuery

#

static

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\GroupModule|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\GroupModule|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\GroupModuleQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\GroupModuleQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\GroupModuleQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### filterByGroupId()

    filterByGroupId(mixed $groupId, string $comparison) : \Thelia\Model\GroupModuleQuery

Filter the query on the group_id column

Example usage: `$query->filterByGroupId(1234); // WHERE group_id = 1234 $query->filterByGroupId(array(12, 34)); // WHERE group_id IN (12, 34) $query->filterByGroupId(array('min' => 12)); // WHERE group_id > 12`

#### Parameters

mixed | $groupId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery
See also

## Tags

None found

### filterByModuleId()

    filterByModuleId(mixed $moduleId, string $comparison) : \Thelia\Model\GroupModuleQuery

Filter the query on the module_id column

Example usage: `$query->filterByModuleId(1234); // WHERE module_id = 1234 $query->filterByModuleId(array(12, 34)); // WHERE module_id IN (12, 34) $query->filterByModuleId(array('min' => 12)); // WHERE module_id > 12`

#### Parameters

mixed | $moduleId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery
See also

## Tags

None found

### filterByAccess()

    filterByAccess(mixed $access, string $comparison) : \Thelia\Model\GroupModuleQuery

Filter the query on the access column

Example usage: `$query->filterByAccess(1234); // WHERE access = 1234 $query->filterByAccess(array(12, 34)); // WHERE access IN (12, 34) $query->filterByAccess(array('min' => 12)); // WHERE access > 12`

#### Parameters

mixed | $access | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\GroupModuleQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\GroupModuleQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### filterByGroup()

    filterByGroup(\Thelia\Model\Group|\Propel\Runtime\Collection\ObjectCollection $group, string $comparison) : \Thelia\Model\GroupModuleQuery

Filter the query by a related \Thelia\Model\Group object

#### Parameters

\Thelia\Model\Group|\Propel\Runtime\Collection\ObjectCollection | $group | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### joinGroup()

    joinGroup(string $relationAlias, string $joinType) : \Thelia\Model\GroupModuleQuery

Adds a JOIN clause to the query using the Group relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### useGroupQuery()

    useGroupQuery(string $relationAlias, string $joinType) : \Thelia\Model\GroupQuery

Use the Group relation Group object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\GroupQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery
See also

## Tags

None found

### filterByModule()

    filterByModule(\Thelia\Model\Module|\Propel\Runtime\Collection\ObjectCollection $module, string $comparison) : \Thelia\Model\GroupModuleQuery

Filter the query by a related \Thelia\Model\Module object

#### Parameters

\Thelia\Model\Module|\Propel\Runtime\Collection\ObjectCollection | $module | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### joinModule()

    joinModule(string $relationAlias, string $joinType) : \Thelia\Model\GroupModuleQuery

Adds a JOIN clause to the query using the Module relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### useModuleQuery()

    useModuleQuery(string $relationAlias, string $joinType) : \Thelia\Model\ModuleQuery

Use the Module relation Module object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ModuleQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery
See also

## Tags

None found

### prune()

    prune(\Thelia\Model\GroupModule $groupModule) : \Thelia\Model\GroupModuleQuery

Exclude object from result

#### Parameters

\Thelia\Model\GroupModule | $groupModule | Object to remove from the list of results

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the group_module table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildGroupModule or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\GroupModuleQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\GroupModuleQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\GroupModuleQuery

Order by update date desc

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\GroupModuleQuery

Order by update date asc

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\GroupModuleQuery

Order by create date desc

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\GroupModuleQuery

Order by create date asc

#### Returns

\Thelia\Model\GroupModuleQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\GroupModuleQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### orderByGroupId()

    orderByGroupId($order =) : \Thelia\Model\GroupModuleQuery

Order by the group_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### orderByModuleId()

    orderByModuleId($order =) : \Thelia\Model\GroupModuleQuery

Order by the module_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### orderByAccess()

    orderByAccess($order =) : \Thelia\Model\GroupModuleQuery

Order by the access column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\GroupModuleQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\GroupModuleQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\GroupModuleQuery

Group by the id column

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### groupByGroupId()

    groupByGroupId() : \Thelia\Model\GroupModuleQuery

Group by the group_id column

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### groupByModuleId()

    groupByModuleId() : \Thelia\Model\GroupModuleQuery

Group by the module_id column

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### groupByAccess()

    groupByAccess() : \Thelia\Model\GroupModuleQuery

Group by the access column

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\GroupModuleQuery

Group by the created_at column

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\GroupModuleQuery

Group by the updated_at column

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\GroupModuleQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\GroupModuleQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\GroupModuleQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### leftJoinGroup()

    leftJoinGroup($relationAlias =) : \Thelia\Model\GroupModuleQuery

Adds a LEFT JOIN clause to the query using the Group relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### rightJoinGroup()

    rightJoinGroup($relationAlias =) : \Thelia\Model\GroupModuleQuery

Adds a RIGHT JOIN clause to the query using the Group relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### innerJoinGroup()

    innerJoinGroup($relationAlias =) : \Thelia\Model\GroupModuleQuery

Adds a INNER JOIN clause to the query using the Group relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### leftJoinModule()

    leftJoinModule($relationAlias =) : \Thelia\Model\GroupModuleQuery

Adds a LEFT JOIN clause to the query using the Module relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### rightJoinModule()

    rightJoinModule($relationAlias =) : \Thelia\Model\GroupModuleQuery

Adds a RIGHT JOIN clause to the query using the Module relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### innerJoinModule()

    innerJoinModule($relationAlias =) : \Thelia\Model\GroupModuleQuery

Adds a INNER JOIN clause to the query using the Module relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\GroupModuleQuery

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\GroupModule

Return the first ChildGroupModule matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\GroupModule

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\GroupModule

Return the first ChildGroupModule matching the query, or a new ChildGroupModule object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\GroupModule

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\GroupModule

Return the first ChildGroupModule filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\GroupModule

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findOneByGroupId()

    findOneByGroupId(int $group_id) : \Thelia\Model\GroupModule

Return the first ChildGroupModule filtered by the group_id column

#### Parameters

int | $group_id |

#### Returns

\Thelia\Model\GroupModule

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findOneByModuleId()

    findOneByModuleId(int $module_id) : \Thelia\Model\GroupModule

Return the first ChildGroupModule filtered by the module_id column

#### Parameters

int | $module_id |

#### Returns

\Thelia\Model\GroupModule

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findOneByAccess()

    findOneByAccess(int $access) : \Thelia\Model\GroupModule

Return the first ChildGroupModule filtered by the access column

#### Parameters

int | $access |

#### Returns

\Thelia\Model\GroupModule

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\GroupModule

Return the first ChildGroupModule filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\GroupModule

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\GroupModule

Return the first ChildGroupModule filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\GroupModule

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildGroupModule objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findByGroupId()

    findByGroupId(int $group_id) : array

Return ChildGroupModule objects filtered by the group_id column

#### Parameters

int | $group_id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findByModuleId()

    findByModuleId(int $module_id) : array

Return ChildGroupModule objects filtered by the module_id column

#### Parameters

int | $module_id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findByAccess()

    findByAccess(int $access) : array

Return ChildGroupModule objects filtered by the access column

#### Parameters

int | $access |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildGroupModule objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildGroupModule objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\GroupModule

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\GroupModule —

A model object, or null if the key is not found

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\GroupModule|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\GroupModule|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\GroupModuleQuery

## Tags

None found

### GroupModuleQuery.php